$(document).ready(function(){
	var scegli = '<option value="0">Scegli...</option>';
	var attendere = '<option value="0">Attendere...</option>';

	$("select#Diametro").html(scegli);
	$("select#Diametro").attr("disabled", "disabled");

	$("select#TipoSupporto").html(scegli);
	$("select#TipoSupporto").attr("disabled", "disabled");

	$("select#TipoLamiera").html(scegli);
	$("select#TipoLamiera").attr("disabled", "disabled");

	$("select#TipoPavimenti").html(scegli);
	$("select#TipoPavimenti").attr("disabled", "disabled");

	$("select#volvenza").html(scegli);
	$("select#volvenza").attr("disabled", "disabled");

	$("select#TipoRuota").html(scegli);
	$("select#TipoRuota").attr("disabled", "disabled");
	  
	$("select#Portata").html(scegli);
	$("select#Portata").attr("disabled", "disabled");

	$("select#SerieSupporti").html(scegli);
	$("select#SerieSupporti").attr("disabled", "disabled");


	$("select#applicazione").change(function(){ SelezionaTabelle(); });

	$("select#comeRuota").change(function(){ SelezionaTabelle(); });


	$("select#Diametro").change(function(){ ContaRecords() });

	$("select#TipoSupporto").change(function(){ ContaRecords() });

	$("select#TipoLamiera").change(function(){ ContaRecords() });

	$("select#volvenza").change(function(){ ContaRecords() });

	$("select#TipoRuota").change(function(){ ContaRecords() });

	$("select#Portata").change(function(){ ContaRecords() });

	$("select#SerieSupporti").change(function(){ ContaRecords() });

	function SelezionaTabelle() {
		var applic = $("select#applicazione option:selected").attr('value');
		var comeR  = $("select#comeRuota option:selected").attr('value');

		// applicazione non scelto  di default Collettivit
		// comeruota non scelta  di default Ruota montata
		if(applic==0) {applic=1}; if(comeR==0) {comeR=3};

//alert("SelezionaTabelle .. applicazione : "+applic+"  comeruota : "+comeR);

		$("select#Diametro").html(attendere);
		$("select#Diametro").attr("disabled", "disabled");

		$.post("characteristics.php", {funzione:'Diametro',id:applic,id2:comeR}, function(data){
			$("select#Diametro").removeAttr("disabled"); 
			$("select#Diametro").html(data);
		});

		$("select#TipoSupporto").html(attendere);
		$("select#TipoSupporto").attr("disabled", "disabled");

		$.post("characteristics.php", {funzione:'Supporto',id:applic,id2:comeR}, function(data){
			$("select#TipoSupporto").removeAttr("disabled"); 
			$("select#TipoSupporto").html(data);
		});

		$("select#TipoLamiera").html(attendere);
		$("select#TipoLamiera").attr("disabled", "disabled");

		$.post("characteristics.php", {funzione:'Lamiera',id:applic,id2:comeR}, function(data){
			$("select#TipoLamiera").removeAttr("disabled"); 
			$("select#TipoLamiera").html(data);
		});

		$("select#TipoPavimenti").html(attendere);
		$("select#TipoPavimenti").attr("disabled", "disabled");

		$.post("characteristics.php", {funzione:'Pavimenti',id:applic,id2:comeR}, function(data){
			$("select#TipoPavimenti").removeAttr("disabled"); 
			$("select#TipoPavimenti").html(data);
		});

		$("select#volvenza").html(attendere);
		$("select#volvenza").attr("disabled", "disabled");

		$.post("characteristics.php", {funzione:'Volvenza',id:applic,id2:comeR}, function(data){
			$("select#volvenza").removeAttr("disabled"); 
			$("select#volvenza").html(data);
		});

		$("select#TipoRuota").html(attendere);
		$("select#TipoRuota").attr("disabled", "disabled");

		$.post("characteristics.php", {funzione:'Ruota',id:applic,id2:comeR}, function(data){
			$("select#TipoRuota").removeAttr("disabled"); 
			$("select#TipoRuota").html(data);
		});

		$("select#Portata").html(attendere);
		$("select#Portata").attr("disabled", "disabled");

		$.post("characteristics.php", {funzione:'Portata',id:applic,id2:comeR}, function(data){
			$("select#Portata").removeAttr("disabled"); 
			$("select#Portata").html(data);
		});

		$("select#SerieSupporti").html(attendere);
		$("select#SerieSupporti").attr("disabled", "disabled");

		$.post("characteristics.php", {funzione:'SerieSup',id:applic,id2:comeR}, function(data){
			$("select#SerieSupporti").removeAttr("disabled"); 
			$("select#SerieSupporti").html(data);
		});

		ContaRecords();

		return;
	}

	function ContaRecords() {
		var applic = $("select#applicazione option:selected").attr('value');
		var comeR  = $("select#comeRuota option:selected").attr('value');

		var vDiametro      = $("select#Diametro option:selected").attr('value');
		var vTipoSupporto  = $("select#TipoSupporto option:selected").attr('value'); 
		var vTipoLamiera   = $("select#TipoLamiera option:selected").attr('value');
		var vTipoPavimenti = $("select#TipoPavimenti option:selected").attr('value'); 
		var vvolvenza      = $("select#volvenza option:selected").attr('value'); 
		var vTipoRuota     = $("select#TipoRuota option:selected").attr('value');
		var vPortata       = $("select#Portata option:selected").attr('value');
		var vSerieSupporti = $("select#SerieSupporti option:selected").attr('value'); 

		var tDiametro      = $("select#Diametro option:selected").text();
		var tTipoSupporto  = $("select#TipoSupporto option:selected").text(); 
		var tTipoLamiera   = $("select#TipoLamiera option:selected").text();
		var tTipoPavimenti = $("select#TipoPavimenti option:selected").text();
		var tvolvenza      = $("select#volvenza option:selected").text(); 
		var tTipoRuota     = $("select#TipoRuota option:selected").text();
		var tPortata       = $("select#Portata option:selected").text();
		var tSerieSupporti = $("select#SerieSupporti option:selected").text(); 

		if(applic==0) {applic=1}; if(comeR==0) {comeR=3};

//alert("ContaRecords .. applicazione : "+applic+"  comeruota : "+comeR);

		$.post("elementscount.php",
			{
			id:applic,
			id2:comeR,

			vDmt	:vDiametro,
			vTSupp	:vTipoSupporto,
			vTLam	:vTipoLamiera,
			vTPav	:vTipoPavimenti,
			vvolv	:vvolvenza,
			vTRuota	:vTipoRuota,
			vPort	:vPortata,
			vSSupp	:vSerieSupporti,

			tDmt	:tDiametro,
			tTSupp	:tTipoSupporto,
			tTLam	:tTipoLamiera,
			tTPav	:tTipoPavimenti,
			tvolv	:tvolvenza,
			tTRuota	:tTipoRuota,
			tPort	:tPortata,
			tSSupp	:tSerieSupporti
			},
			function(data){
			$("#result").html(data);
		});
		return;
	}
});

// cerca codice  
function Cerca() {
	var risp=window.prompt("Codice da cercare?","");
	if(risp === null) { alert("non hai digitato nulla!"); }
	else
		if (risp=="") { alert("non hai digitato nulla!"); } 
		else { window.location='cerca.php?cod='+risp; }
	return "0";
}
